%define		realname	jansson

Summary:	Jansson - JSON C Library
Summary(pl.UTF-8):	Jansson - biblioteka JSON napisana w C
Name:		libjansson
Version:	2.6
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://www.digip.org/jansson/releases/%{realname}-%{version}.tar.bz2
# Source0-md5:	c70a52488db623a26f7213c7c6b7c878
URL:		http://www.digip.org/jansson/
#BuildRequires:	-
#Requires:	-
BuildRoot:	%{tmpdir}/%{realname}-%{version}-root-%(id -u -n)

%description
Jansson is a C library for encoding, decoding and manipulating JSON 
data.

%description -l pl.UTF-8

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/%{name}.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}.so
%{_includedir}/%{realname}.h
%{_includedir}/%{realname}_config.h
%{_pkgconfigdir}/%{realname}.pc
%changelog
* Thu May 15 2014 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libjansson.git;a=log;h=master

* Thu May 15 2014 Bartosz Świątek <shadzik@tld-linux.org> 7936624
- rel 1

* Thu May 15 2014 Bartosz Świątek <shadzik@tld-linux.org> 69b9501
- init

